<?php

namespace myresto\models;

use yii\base\Model;
use yii\data\ActiveDataProvider;
use myresto\models\SyncToJurnalHeader;

/**
 * SyncToJurnalHeaderSearch represents the model behind the search form of `myresto\models\SyncToJurnalHeader`.
 */
class SyncToJurnalHeaderSearch extends SyncToJurnalHeader
{
    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id_header'], 'integer'],
            [['jenis_sinkron', 'jenis_data', 'date_created', 'type_con'], 'safe'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = SyncToJurnalHeader::find();

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'id_header' => $this->id_header,
            'date_created' => $this->date_created,
        ]);

        $query->andFilterWhere(['like', 'jenis_sinkron', $this->jenis_sinkron])
            ->andFilterWhere(['like', 'jenis_data', $this->jenis_data])
            ->andFilterWhere(['like', 'type_con', $this->type_con]);

        return $dataProvider;
    }
}
